filefrag bug requires update from 1.42.9 -> 1.43-WIP

Bug #1563139 reported by racitup on 2016-03-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
e2fsprogs (Ubuntu)
Undecided
Unassigned

Bug Description

Ubuntu Trusty is affected by a known issue in filefrag whereby incorrect block numbers are reported by the -e or -v options.
I have specifically found the issue using filefrag on FAT partitions on Ubuntu Trusty.

The bug is fixed by this commit which first appears in e2fsprogs v1.42.12:
http://git.kernel.org/cgit/fs/ext2/e2fsprogs.git/commit/?id=01824c9bbcd2c1037085213f6cd7d591f78db9c5

Debian jessie (stable) ships v1.42.12.
Ubuntu vivid ships v1.42.12 also.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: e2fsprogs 1.42.9-3ubuntu1.3
Uname: Linux 4.1.20-040120-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.19
Architecture: amd64
CurrentDesktop: XFCE
Date: Tue Mar 29 01:44:54 2016
InstallationDate: Installed on 2015-04-16 (347 days ago)
InstallationMedia: Ubuntu 14.04.2 LTS "Trusty Tahr" - Release amd64 (20150218.1)
SourcePackage: e2fsprogs
UpgradeStatus: No upgrade log present (probably fresh install)

racitup (racitup) wrote :
racitup (racitup) wrote :

Further to this and my testing results at the link below, I would strongly urge e2fsprogs be updated to v1.43-WIP once full validation of the package is completed.

I have found another issue with filefrag on FAT filesystems.

https://github.com/racitup/testfilefrag/wiki

summary: - filefrag bug requires update from 1.42.9 -> 1.42.12
+ filefrag bug requires update from 1.42.9 -> 1.43-WIP
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers